Skip to main content
POST
Bulk Generate Clarity Process Snapshots

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

kind
enum<string>
required

Snapshot kind to list

Available options:
current_process,
transformation_proposal

Body

application/json
process_ids
string<uuid>[]
required

Clarity v2 process ids to generate maps for

Required array length: 1 - 200 elements
transformation_aggressiveness
enum<string>
default:aggressive

Transformation proposals only: the transformation appetite. aggressive, conservative, and none redesign around Duvo automation with decreasing freedom to change the process; optimize standardizes and streamlines the process while every step stays performed by people.

Available options:
none,
conservative,
aggressive,
optimize

Response

Default Response

started
string[]
required

Process ids whose generation started

skipped
object[]
required

Processes that cannot start, with the reason

deferred
string[]
required

Process ids not started for lack of free capacity; submit them again later